Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::make_common_pair_fn Struct Reference

## Public Member Functions
template<typename First , typename Second , typename F = bind_element_t<First>, typename S = bind_element_t<Second>>
common_pair< F, S > | operator() (First &&f, Second &&s) const noexcept(std::is_nothrow_constructible< F, unwrap_reference_t< First >>::value &&std::is_nothrow_constructible< F, unwrap_reference_t< Second >>::value)